+++
short-description = "Navigation services (maps, guidance, ...)"
license = "CC-BY-SAv4.0"
title = "Navigation"
weight = 100
aliases = [ "/old-developer/latest/navigation.html", "/old-developer/v2019/navigation.html", "/old-developer/v2020/navigation.html", "/old-developer/v2021pre/navigation.html", "/old-developer/v2022dev0/navigation.html",]
outputs = [ "html", "pdf-in",]
date = "2016-04-20"
+++

# Navigation

### Provides:

- Location based services

- Map

- Route guidance

### Enabling components:

- Geoclue – Deliver location info from various positioning sources
  (http://freedesktop.org/wiki/Software/GeoClue/)

- Libchamplain – Map rendering
  (https://wiki.gnome.org/Projects/libchamplain)

- Younavigation – route drawing on map drawn by libchamplain
  (http://www.yournavigation.org/)
